summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author fourtysixandtwo <fourtysixandtwo@sliderr.net>2024-03-23 20:36:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-03-24 06:58:32 +0700
commit835e63f393f0ecc8b2586c7841c185a6cc6d4184 (patch)
tree4a827038b11043f60c3275fdef9d0920a5304172
parenta9140abc61598bdeb4fa04813af89be76d1cd823 (diff)
downloadslackbuilds-835e63f39.tar.gz
slackbuilds-835e63f39.tar.xz
python/sphinxcontrib-jquery: Added (python extension).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/sphinxcontrib-jquery/README4
-rw-r--r--python/sphinxcontrib-jquery/slack-desc19
-rw-r--r--python/sphinxcontrib-jquery/sphinxcontrib-jquery.SlackBuild82
-rw-r--r--python/sphinxcontrib-jquery/sphinxcontrib-jquery.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/python/sphinxcontrib-jquery/README b/python/sphinxcontrib-jquery/README
new file mode 100644
index 0000000000..7a083e75b9
--- /dev/null
+++ b/python/sphinxcontrib-jquery/README
@@ -0,0 +1,4 @@
+sphinxcontrib-jquery (Ext. to include jQuery on newer Sphinx releases)
+
+sphinxcontrib-jquery ensures that jQuery is always installed for use
+in Sphinx themes or extensions.
diff --git a/python/sphinxcontrib-jquery/slack-desc b/python/sphinxcontrib-jquery/slack-desc
new file mode 100644
index 0000000000..0bf4b9307c
--- /dev/null
+++ b/python/sphinxcontrib-jquery/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sphinxcontrib-jquery: sphinxcontrib-jquery (Ext. to include jQuery on newer Sphinx releases)
+sphinxcontrib-jquery:
+sphinxcontrib-jquery: sphinxcontrib-jquery ensures that jQuery is always installed for use
+sphinxcontrib-jquery: in Sphinx themes or extensions.
+sphinxcontrib-jquery:
+sphinxcontrib-jquery: Homepage: https://github.com/sphinx-contrib/jquery
+sphinxcontrib-jquery:
+sphinxcontrib-jquery:
+sphinxcontrib-jquery:
+sphinxcontrib-jquery:
+sphinxcontrib-jquery:
diff --git a/python/sphinxcontrib-jquery/sphinxcontrib-jquery.SlackBuild b/python/sphinxcontrib-jquery/sphinxcontrib-jquery.SlackBuild
new file mode 100644
index 0000000000..be14dc0991
--- /dev/null
+++ b/python/sphinxcontrib-jquery/sphinxcontrib-jquery.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Slackware build script for sphinxcontrib-jquery
+
+# Copyright 2024 fourtysixandtwo <fourtysixandtwo@sliderr.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sphinxcontrib-jquery
+SRCNAM=$PRGNAM
+VERSION=${VERSION:-4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 -m build --no-isolation
+python3 -m installer -d "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGES.rst LICENCE README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/sphinxcontrib-jquery/sphinxcontrib-jquery.info b/python/sphinxcontrib-jquery/sphinxcontrib-jquery.info
new file mode 100644
index 0000000000..e958a00367
--- /dev/null
+++ b/python/sphinxcontrib-jquery/sphinxcontrib-jquery.info
@@ -0,0 +1,10 @@
+PRGNAM="sphinxcontrib-jquery"
+VERSION="4.1"
+HOMEPAGE="https://github.com/sphinx-contrib/jquery"
+DOWNLOAD="https://files.pythonhosted.org/packages/source/s/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.tar.gz"
+MD5SUM="46ea52845b17343ed6c61e6963fb265d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-build"
+MAINTAINER="fourtysixandtwo"
+EMAIL="fourtysixandtwo@sliderr.net"